/* 颜色样式 */
:root {
  --fs-tkcs-service-advantages-ul-bg: #FFFFFF;
  --fs-tkcs-service-advantages-title-color: #9ECCDA;
  --fs-tkcs-service-advantages-li-bg-1: #F5F6F8;
  --fs-tkcs-service-advantages-li-bg-2: #E0EBEF;
  --fs-tkcs-service-advantages-font-color: #565759;
}

/* 主题样式 */
.fs-tkcs-service-advantages {
  position: relative;
  width: 100%;
  padding: 90px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  background: var(--fs-tkcs-service-advantages-ul-bg);
}

.fs-tkcs-service-advantages-main {
  position: relative;
  width: min(96%, 1440px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 48px;
  z-index: 1;
}

.fs-tkcs-service-advantages h4 {
  color: var(--fs-tkcs-service-advantages-title-color);
  text-align: center;
  font-family: "Urbanist";
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 1;
  /* 150% */
  letter-spacing: 1px;
  padding: 0;
  margin: 0;
  text-transform: uppercase;
}

.fs-tkcs-service-advantages ul {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  list-style: none;
  margin: 0 auto;
  padding: 0;
  width: 100%;
}

.fs-tkcs-service-advantages li {
  position: relative;
  display: flex;
  flex: 0 0 25%;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  color: var(--fs-tkcs-service-advantages-font-color);
  text-align: center;
  font-family: "Rubik";
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: 1.2;
  /* 150% */
  letter-spacing: 1px;

  white-space: normal;
  /* 确保自动换行 */
  word-break: break-word;
  padding-top: 120px;
  padding-bottom: 32px;
}

.fs-tkcs-service-advantages li:nth-child(odd) {
  background: var(--fs-tkcs-service-advantages-li-bg-1);
}

.fs-tkcs-service-advantages li:nth-child(even) {
  background: var(--fs-tkcs-service-advantages-li-bg-2);
}

.fs-tkcs-service-advantages li span {
  position: absolute;
  top: 32px;
  left: 50%;
  transform: translateX(-50%);
  content: '';
  width: 80px;
  height: 80px;
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  background: var(--fs-tkcs-service-advantages-font-color);
}

.fs-tkcs-service-advantages li:nth-child(1) span {
  -webkit-mask-image: url('../images/svg/4c2395747aca4003aa2bc5a463a5c991.svg');
  mask-image: url('../images/svg/4c2395747aca4003aa2bc5a463a5c991.svg');
}

.fs-tkcs-service-advantages li:nth-child(2) span {
  -webkit-mask-image: url('../images/svg/9369ebe2c9c542d4865a315eaca5271c.svg');
  mask-image: url('../images/svg/9369ebe2c9c542d4865a315eaca5271c.svg');
}

.fs-tkcs-service-advantages li:nth-child(3) span {
  -webkit-mask-image: url('../images/svg/8b55df5709c341ebbc3873b3c4ed8bd3.svg');
  mask-image: url('../images/svg/8b55df5709c341ebbc3873b3c4ed8bd3.svg');
}

.fs-tkcs-service-advantages li:nth-child(4) span {
  -webkit-mask-image: url('../images/svg/7327431553494a8e81c64a47d43fbc94.svg');
  mask-image: url('../images/svg/7327431553494a8e81c64a47d43fbc94.svg');
}



/* Media Query */
@media (max-width: 1000px) {
  .fs-tkcs-service-advantages {
    padding: 5.6rem 0;
    padding-bottom: 0;
  }

  .fs-tkcs-service-advantages-main {
    width: 100%;
  }

  .fs-tkcs-service-advantages h4 {
    font-size: 3rem;
  }

  .fs-tkcs-service-advantages ul {
    gap: 0;
  }

  .fs-tkcs-service-advantages li {
    flex: 0 0 50%;
    font-size: 1.75rem;
    padding-top: 10.5rem;
    padding-bottom: 4rem;
  }

  .fs-tkcs-service-advantages li:nth-child(1),
  .fs-tkcs-service-advantages li:nth-child(4) {
    background: var(--fs-tkcs-service-advantages-li-bg-1);
  }

  .fs-tkcs-service-advantages li:nth-child(2),
  .fs-tkcs-service-advantages li:nth-child(3) {
    background: var(--fs-tkcs-service-advantages-li-bg-2);
  }

  .fs-tkcs-service-advantages li span {
    width: 5rem;
    height: 5rem;
    top: 4rem;
  }
}